Bug 839574 - Problems with audio CDs
Problems with audio CDs
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kscd (Show other bugs)
16
i686 Linux
unspecified Severity high
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-12 06:54 EDT by Łukasz
Modified: 2013-02-13 18:35 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 18:35:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Łukasz 2012-07-12 06:54:12 EDT
Description of problem:

There's a problem with playing audio CD's. This problem may be too difficult to be solved by novice users. If you use KDE (I don't know how it is in GNOME) and enter an audio CD to drive, it won't play until you create symlink to /dev/sr0, typing as follows:
$ su
# ln -s /dev/sr0 /dev/cdrom
But this operation must be done afresh every time you log into your account in the system. Fedora doesn't create this symlink by default.
Laptop is dual-booted and there are no problems with audio CDs in Windows Vista.
Conclusion: In /dev/ should be symlink /dev/cdrom -> /dev/sr0. Instead there is a symlink to sr0, but its name is cdrom1 and it isn't used by software to play discs (for example by KsCD or Amarok).

Additional problem:
When you create /dev/cdrom and finally play audio CD, you will find there are problems with manual skipping between tracks and with automatic skip to next track when actual track ends. I don't know what causes these problems.
There are also problems with ripping CDs (I used KAudioCreator). You can do it until drive "goes crazy" and operation is interrupted.

I used only KsCD and Amarok to testing. If other software (from GNOME) works good, the problem still exist, because someone may want to use programs only from KDE.

My laptop:
HP dv7-1140ew
My drive (bult in laptop):
TSSTcorp CDDVDW TS-L633L


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Install Fedora 16 with KDE instead of GNOME.
2.Insert audio CD to the drive.
3.Maybe this problem is actual also in Fedora 17?
  
Actual results:


Expected results:
I expect ability to simply insert audio CD to drive and play or rip it correctly.


Additional info:
Comment 1 Greta Watson 2012-08-23 13:43:24 EDT
KsCD, and probably other applications, do not work properly when /dev/cdrom1 is the symlink for /dev/sr0.

Workaround:  change the values in /etc/udev/rules.d/70-persistent-cd.rules and reboot.  The udev manpage gives helpful info.

My rules file now has the symlinks cdrom, cdrw, dvd, and dvdrw rather than cdrom1, cdrw1, dvd1, and dvdrw1.  I can play audio CDs using KsCD.  There is a hiccup shortly after starting the CD, but then it plays pretty well.

Perhaps KsCD should not try to start playing until the CD is spinning...
Comment 2 Fedora End Of Life 2013-01-16 15:02:17 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora End Of Life 2013-02-13 18:35:33 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.